Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/SysmlPackage.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/SysmlPackage.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/SysmlPackage.java	(revision 511)
@@ -11066,445 +4628,4 @@
 
 	/**
-	 * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__EANNOTATIONS = UMLPackage.ASSOCIATION__EANNOTATIONS;
-
-	/**
-	 * The feature id for the '<em><b>Owned Element</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__OWNED_ELEMENT = UMLPackage.ASSOCIATION__OWNED_ELEMENT;
-
-	/**
-	 * The feature id for the '<em><b>Owner</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__OWNER = UMLPackage.ASSOCIATION__OWNER;
-
-	/**
-	 * The feature id for the '<em><b>Owned Comment</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__OWNED_COMMENT = UMLPackage.ASSOCIATION__OWNED_COMMENT;
-
-	/**
-	 * The feature id for the '<em><b>Name</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__NAME = UMLPackage.ASSOCIATION__NAME;
-
-	/**
-	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__VISIBILITY = UMLPackage.ASSOCIATION__VISIBILITY;
-
-	/**
-	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__QUALIFIED_NAME = UMLPackage.ASSOCIATION__QUALIFIED_NAME;
-
-	/**
-	 * The feature id for the '<em><b>Client Dependency</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__CLIENT_DEPENDENCY = UMLPackage.ASSOCIATION__CLIENT_DEPENDENCY;
-
-	/**
-	 * The feature id for the '<em><b>Namespace</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__NAMESPACE = UMLPackage.ASSOCIATION__NAMESPACE;
-
-	/**
-	 * The feature id for the '<em><b>Name Expression</b></em>' containment reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__NAME_EXPRESSION = UMLPackage.ASSOCIATION__NAME_EXPRESSION;
-
-	/**
-	 * The feature id for the '<em><b>Element Import</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__ELEMENT_IMPORT = UMLPackage.ASSOCIATION__ELEMENT_IMPORT;
-
-	/**
-	 * The feature id for the '<em><b>Package Import</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__PACKAGE_IMPORT = UMLPackage.ASSOCIATION__PACKAGE_IMPORT;
-
-	/**
-	 * The feature id for the '<em><b>Owned Rule</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__OWNED_RULE = UMLPackage.ASSOCIATION__OWNED_RULE;
-
-	/**
-	 * The feature id for the '<em><b>Member</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__MEMBER = UMLPackage.ASSOCIATION__MEMBER;
-
-	/**
-	 * The feature id for the '<em><b>Imported Member</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__IMPORTED_MEMBER = UMLPackage.ASSOCIATION__IMPORTED_MEMBER;
-
-	/**
-	 * The feature id for the '<em><b>Owned Member</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__OWNED_MEMBER = UMLPackage.ASSOCIATION__OWNED_MEMBER;
-
-	/**
-	 * The feature id for the '<em><b>Is Leaf</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__IS_LEAF = UMLPackage.ASSOCIATION__IS_LEAF;
-
-	/**
-	 * The feature id for the '<em><b>Redefined Element</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__REDEFINED_ELEMENT = UMLPackage.ASSOCIATION__REDEFINED_ELEMENT;
-
-	/**
-	 * The feature id for the '<em><b>Redefinition Context</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__REDEFINITION_CONTEXT = UMLPackage.ASSOCIATION__REDEFINITION_CONTEXT;
-
-	/**
-	 * The feature id for the '<em><b>Owning Template Parameter</b></em>' container reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__OWNING_TEMPLATE_PARAMETER = UMLPackage.ASSOCIATION__OWNING_TEMPLATE_PARAMETER;
-
-	/**
-	 * The feature id for the '<em><b>Template Parameter</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__TEMPLATE_PARAMETER = UMLPackage.ASSOCIATION__TEMPLATE_PARAMETER;
-
-	/**
-	 * The feature id for the '<em><b>Package</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__PACKAGE = UMLPackage.ASSOCIATION__PACKAGE;
-
-	/**
-	 * The feature id for the '<em><b>Template Binding</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__TEMPLATE_BINDING = UMLPackage.ASSOCIATION__TEMPLATE_BINDING;
-
-	/**
-	 * The feature id for the '<em><b>Owned Template Signature</b></em>' containment reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__OWNED_TEMPLATE_SIGNATURE = UMLPackage.ASSOCIATION__OWNED_TEMPLATE_SIGNATURE;
-
-	/**
-	 * The feature id for the '<em><b>Is Abstract</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__IS_ABSTRACT = UMLPackage.ASSOCIATION__IS_ABSTRACT;
-
-	/**
-	 * The feature id for the '<em><b>Generalization</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__GENERALIZATION = UMLPackage.ASSOCIATION__GENERALIZATION;
-
-	/**
-	 * The feature id for the '<em><b>Powertype Extent</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__POWERTYPE_EXTENT = UMLPackage.ASSOCIATION__POWERTYPE_EXTENT;
-
-	/**
-	 * The feature id for the '<em><b>Feature</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__FEATURE = UMLPackage.ASSOCIATION__FEATURE;
-
-	/**
-	 * The feature id for the '<em><b>Inherited Member</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__INHERITED_MEMBER = UMLPackage.ASSOCIATION__INHERITED_MEMBER;
-
-	/**
-	 * The feature id for the '<em><b>Redefined Classifier</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__REDEFINED_CLASSIFIER = UMLPackage.ASSOCIATION__REDEFINED_CLASSIFIER;
-
-	/**
-	 * The feature id for the '<em><b>General</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__GENERAL = UMLPackage.ASSOCIATION__GENERAL;
-
-	/**
-	 * The feature id for the '<em><b>Substitution</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__SUBSTITUTION = UMLPackage.ASSOCIATION__SUBSTITUTION;
-
-	/**
-	 * The feature id for the '<em><b>Attribute</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__ATTRIBUTE = UMLPackage.ASSOCIATION__ATTRIBUTE;
-
-	/**
-	 * The feature id for the '<em><b>Representation</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__REPRESENTATION = UMLPackage.ASSOCIATION__REPRESENTATION;
-
-	/**
-	 * The feature id for the '<em><b>Collaboration Use</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__COLLABORATION_USE = UMLPackage.ASSOCIATION__COLLABORATION_USE;
-
-	/**
-	 * The feature id for the '<em><b>Owned Use Case</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__OWNED_USE_CASE = UMLPackage.ASSOCIATION__OWNED_USE_CASE;
-
-	/**
-	 * The feature id for the '<em><b>Use Case</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__USE_CASE = UMLPackage.ASSOCIATION__USE_CASE;
-
-	/**
-	 * The feature id for the '<em><b>Related Element</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__RELATED_ELEMENT = UMLPackage.ASSOCIATION__RELATED_ELEMENT;
-
-	/**
-	 * The feature id for the '<em><b>Owned End</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__OWNED_END = UMLPackage.ASSOCIATION__OWNED_END;
-
-	/**
-	 * The feature id for the '<em><b>Member End</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__MEMBER_END = UMLPackage.ASSOCIATION__MEMBER_END;
-
-	/**
-	 * The feature id for the '<em><b>Is Derived</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__IS_DERIVED = UMLPackage.ASSOCIATION__IS_DERIVED;
-
-	/**
-	 * The feature id for the '<em><b>End Type</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__END_TYPE = UMLPackage.ASSOCIATION__END_TYPE;
-
-	/**
-	 * The feature id for the '<em><b>Navigable Owned End</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__NAVIGABLE_OWNED_END = UMLPackage.ASSOCIATION__NAVIGABLE_OWNED_END;
-
-	/**
-	 * The feature id for the '<em><b>Is Flow</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__IS_FLOW = UMLPackage.ASSOCIATION_FEATURE_COUNT + 0;
-
-	/**
-	 * The feature id for the '<em><b>Direction</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__DIRECTION = UMLPackage.ASSOCIATION_FEATURE_COUNT + 1;
-
-	/**
-	 * The feature id for the '<em><b>Array Dimension</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__ARRAY_DIMENSION = UMLPackage.ASSOCIATION_FEATURE_COUNT + 2;
-
-	/**
-	 * The feature id for the '<em><b>Access</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__ACCESS = UMLPackage.ASSOCIATION_FEATURE_COUNT + 3;
-
-	/**
-	 * The feature id for the '<em><b>Default</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION__DEFAULT = UMLPackage.ASSOCIATION_FEATURE_COUNT + 4;
-
-	/**
-	 * The number of structural features of the '<em>Modelica Composition</em>' class.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_COMPOSITION_FEATURE_COUNT = UMLPackage.ASSOCIATION_FEATURE_COUNT + 5;
-
-	/**
 	 * The meta object id for the '{@link org.modelica.uml.sysml.impl.ModelicaConnectionImpl <em>Modelica Connection</em>}' class.
 	 * <!-- begin-user-doc -->
@@ -11517,191 +4638,12 @@
 
 	/**
-	 * The feature id for the '<em><b>EAnnotations</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__EANNOTATIONS = UMLPackage.CONNECTOR__EANNOTATIONS;
-
-	/**
-	 * The feature id for the '<em><b>Owned Element</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__OWNED_ELEMENT = UMLPackage.CONNECTOR__OWNED_ELEMENT;
-
-	/**
-	 * The feature id for the '<em><b>Owner</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__OWNER = UMLPackage.CONNECTOR__OWNER;
-
-	/**
-	 * The feature id for the '<em><b>Owned Comment</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__OWNED_COMMENT = UMLPackage.CONNECTOR__OWNED_COMMENT;
-
-	/**
-	 * The feature id for the '<em><b>Name</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__NAME = UMLPackage.CONNECTOR__NAME;
-
-	/**
-	 * The feature id for the '<em><b>Visibility</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__VISIBILITY = UMLPackage.CONNECTOR__VISIBILITY;
-
-	/**
-	 * The feature id for the '<em><b>Qualified Name</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__QUALIFIED_NAME = UMLPackage.CONNECTOR__QUALIFIED_NAME;
-
-	/**
-	 * The feature id for the '<em><b>Client Dependency</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__CLIENT_DEPENDENCY = UMLPackage.CONNECTOR__CLIENT_DEPENDENCY;
-
-	/**
-	 * The feature id for the '<em><b>Namespace</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__NAMESPACE = UMLPackage.CONNECTOR__NAMESPACE;
-
-	/**
-	 * The feature id for the '<em><b>Name Expression</b></em>' containment reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__NAME_EXPRESSION = UMLPackage.CONNECTOR__NAME_EXPRESSION;
-
-	/**
-	 * The feature id for the '<em><b>Is Leaf</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__IS_LEAF = UMLPackage.CONNECTOR__IS_LEAF;
-
-	/**
-	 * The feature id for the '<em><b>Redefined Element</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__REDEFINED_ELEMENT = UMLPackage.CONNECTOR__REDEFINED_ELEMENT;
-
-	/**
-	 * The feature id for the '<em><b>Redefinition Context</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__REDEFINITION_CONTEXT = UMLPackage.CONNECTOR__REDEFINITION_CONTEXT;
-
-	/**
-	 * The feature id for the '<em><b>Is Static</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__IS_STATIC = UMLPackage.CONNECTOR__IS_STATIC;
-
-	/**
-	 * The feature id for the '<em><b>Featuring Classifier</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__FEATURING_CLASSIFIER = UMLPackage.CONNECTOR__FEATURING_CLASSIFIER;
-
-	/**
-	 * The feature id for the '<em><b>Type</b></em>' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__TYPE = UMLPackage.CONNECTOR__TYPE;
-
-	/**
-	 * The feature id for the '<em><b>Redefined Connector</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__REDEFINED_CONNECTOR = UMLPackage.CONNECTOR__REDEFINED_CONNECTOR;
-
-	/**
-	 * The feature id for the '<em><b>End</b></em>' containment reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__END = UMLPackage.CONNECTOR__END;
-
-	/**
-	 * The feature id for the '<em><b>Kind</b></em>' attribute.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__KIND = UMLPackage.CONNECTOR__KIND;
-
-	/**
-	 * The feature id for the '<em><b>Contract</b></em>' reference list.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION__CONTRACT = UMLPackage.CONNECTOR__CONTRACT;
-
-	/**
-	 * The number of structural features of the '<em>Modelica Connection</em>' class.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 * @ordered
-	 */
-	int MODELICA_CONNECTION_FEATURE_COUNT = UMLPackage.CONNECTOR_FEATURE_COUNT + 0;
+	 * The meta object id for the '{@link org.modelica.uml.sysml.impl.ModelicaPrimitiveTypeImpl <em>Modelica Primitive Type</em>}' class.
+	 * <!-- begin-user-doc -->
+	 * <!-- end-user-doc -->
+	 * @see org.modelica.uml.sysml.impl.ModelicaPrimitiveTypeImpl
+	 * @see org.modelica.uml.sysml.impl.SysmlPackageImpl#getModelicaPrimitiveType()
+	 * @generated
+	 */
+	int MODELICA_PRIMITIVE_TYPE = 30;
 
 	/**
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/SysmlPackage.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/SysmlPackage.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/SysmlPackage.java	(revision 511)
@@ -12065,5 +12399,5 @@
 	 * @generated
 	 */
-	int FLOW_DIRECTION = 30;
+	int FLOW_DIRECTION = 31;
 
 	/**
@@ -12075,5 +12409,5 @@
 	 * @generated
 	 */
-	int VARIABILITY_KIND = 31;
+	int VARIABILITY_KIND = 32;
 
 	/**
@@ -12085,5 +12419,5 @@
 	 * @generated
 	 */
-	int PROPERTY_KIND = 32;
+	int PROPERTY_KIND = 33;
 
 	/**
@@ -12095,5 +12429,5 @@
 	 * @generated
 	 */
-	int ACCESS_KIND = 33;
+	int ACCESS_KIND = 34;
 
 
@@ -12349,4 +12683,15 @@
 
 	/**
+	 * Returns the meta object for the containment reference '{@link org.modelica.uml.sysml.ModelicaType#getTypeData <em>Type Data</em>}'.
+	 * <!-- begin-user-doc -->
+	 * <!-- end-user-doc -->
+	 * @return the meta object for the containment reference '<em>Type Data</em>'.
+	 * @see org.modelica.uml.sysml.ModelicaType#getTypeData()
+	 * @see #getModelicaType()
+	 * @generated
+	 */
+	EReference getModelicaType_TypeData();
+
+	/**
 	 * Returns the meta object for class '{@link org.modelica.uml.sysml.ModelicaReal <em>Modelica Real</em>}'.
 	 * <!-- begin-user-doc -->
@@ -12745,15 +13090,4 @@
 
 	/**
-	 * Returns the meta object for the reference '{@link org.modelica.uml.sysml.ModelicaProperty#getDataType <em>Data Type</em>}'.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @return the meta object for the reference '<em>Data Type</em>'.
-	 * @see org.modelica.uml.sysml.ModelicaProperty#getDataType()
-	 * @see #getModelicaProperty()
-	 * @generated
-	 */
-	EReference getModelicaProperty_DataType();
-
-	/**
 	 * Returns the meta object for class '{@link org.modelica.uml.sysml.ModelicaConnectorProperty <em>Modelica Connector Property</em>}'.
 	 * <!-- begin-user-doc -->
@@ -12870,4 +13204,14 @@
 	 */
 	EClass getModelicaClassifier();
+
+	/**
+	 * Returns the meta object for class '{@link org.modelica.uml.sysml.ModelicaPrimitiveType <em>Modelica Primitive Type</em>}'.
+	 * <!-- begin-user-doc -->
+	 * <!-- end-user-doc -->
+	 * @return the meta object for class '<em>Modelica Primitive Type</em>'.
+	 * @see org.modelica.uml.sysml.ModelicaPrimitiveType
+	 * @generated
+	 */
+	EClass getModelicaPrimitiveType();
 
 	/**
@@ -13155,4 +13499,12 @@
 
 		/**
+		 * The meta object literal for the '<em><b>Type Data</b></em>' containment reference feature.
+		 * <!-- begin-user-doc -->
+		 * <!-- end-user-doc -->
+		 * @generated
+		 */
+		EReference MODELICA_TYPE__TYPE_DATA = eINSTANCE.getModelicaType_TypeData();
+
+		/**
 		 * The meta object literal for the '{@link org.modelica.uml.sysml.impl.ModelicaRealImpl <em>Modelica Real</em>}' class.
 		 * <!-- begin-user-doc -->
@@ -13473,12 +13825,4 @@
 
 		/**
-		 * The meta object literal for the '<em><b>Data Type</b></em>' reference feature.
-		 * <!-- begin-user-doc -->
-		 * <!-- end-user-doc -->
-		 * @generated
-		 */
-		EReference MODELICA_PROPERTY__DATA_TYPE = eINSTANCE.getModelicaProperty_DataType();
-
-		/**
 		 * The meta object literal for the '{@link org.modelica.uml.sysml.impl.ModelicaConnectorPropertyImpl <em>Modelica Connector Property</em>}' class.
 		 * <!-- begin-user-doc -->
@@ -13579,4 +13923,14 @@
 
 		/**
+		 * The meta object literal for the '{@link org.modelica.uml.sysml.impl.ModelicaPrimitiveTypeImpl <em>Modelica Primitive Type</em>}' class.
+		 * <!-- begin-user-doc -->
+		 * <!-- end-user-doc -->
+		 * @see org.modelica.uml.sysml.impl.ModelicaPrimitiveTypeImpl
+		 * @see org.modelica.uml.sysml.impl.SysmlPackageImpl#getModelicaPrimitiveType()
+		 * @generated
+		 */
+		EClass MODELICA_PRIMITIVE_TYPE = eINSTANCE.getModelicaPrimitiveType();
+
+		/**
 		 * The meta object literal for the '{@link org.modelica.uml.sysml.FlowDirection <em>Flow Direction</em>}' enum.
 		 * <!-- begin-user-doc -->
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/impl/ModelicaBooleanImpl.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/impl/ModelicaBooleanImpl.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/impl/ModelicaBooleanImpl.java	(revision 511)
@@ -31,5 +31,5 @@
  * @generated
  */
-public class ModelicaBooleanImpl extends ModelicaTypeImpl implements ModelicaBoolean {
+public class ModelicaBooleanImpl extends ModelicaPrimitiveTypeImpl implements ModelicaBoolean {
 	/**
 	 * The default value of the '{@link #isValue() <em>Value</em>}' attribute.
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/impl/ModelicaConnectorPropertyImpl.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/impl/ModelicaConnectorPropertyImpl.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/impl/ModelicaConnectorPropertyImpl.java	(revision 511)
@@ -43,5 +43,4 @@
  *   <li>{@link org.modelica.uml.sysml.impl.ModelicaConnectorPropertyImpl#getArrayDimension <em>Array Dimension</em>}</li>
  *   <li>{@link org.modelica.uml.sysml.impl.ModelicaConnectorPropertyImpl#getAccess <em>Access</em>}</li>
- *   <li>{@link org.modelica.uml.sysml.impl.ModelicaConnectorPropertyImpl#getDataType <em>Data Type</em>}</li>
  * </ul>
  * </p>
@@ -171,14 +170,4 @@
 
 	/**
-	 * The cached value of the '{@link #getDataType() <em>Data Type</em>}' reference.
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @see #getDataType()
-	 * @generated
-	 * @ordered
-	 */
-	protected ModelicaClassifier dataType = null;
-
-	/**
 	 * <!-- begin-user-doc -->
 	 * <!-- end-user-doc -->
@@ -322,42 +311,4 @@
 		if (eNotificationRequired())
 			eNotify(new ENotificationImpl(this, Notification.SET, SysmlPackage.MODELICA_CONNECTOR_PROPERTY__ACCESS, oldAccess, access));
-	}
-
-	/**
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 */
-	public ModelicaClassifier getDataType() {
-		if (dataType != null && dataType.eIsProxy()) {
-			InternalEObject oldDataType = (InternalEObject)dataType;
-			dataType = (ModelicaClassifier)eResolveProxy(oldDataType);
-			if (dataType != oldDataType) {
-				if (eNotificationRequired())
-					eNotify(new ENotificationImpl(this, Notification.RESOLVE, SysmlPackage.MODELICA_CONNECTOR_PROPERTY__DATA_TYPE, oldDataType, dataType));
-			}
-		}
-		return dataType;
-	}
-
-	/**
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 */
-	public ModelicaClassifier basicGetDataType() {
-		return dataType;
-	}
-
-	/**
-	 * <!-- begin-user-doc -->
-	 * <!-- end-user-doc -->
-	 * @generated
-	 */
-	public void setDataType(ModelicaClassifier newDataType) {
-		ModelicaClassifier oldDataType = dataType;
-		dataType = newDataType;
-		if (eNotificationRequired())
-			eNotify(new ENotificationImpl(this, Notification.SET, SysmlPackage.MODELICA_CONNECTOR_PROPERTY__DATA_TYPE, oldDataType, dataType));
 	}
 
@@ -381,7 +332,4 @@
 			case SysmlPackage.MODELICA_CONNECTOR_PROPERTY__ACCESS:
 				return getAccess();
-			case SysmlPackage.MODELICA_CONNECTOR_PROPERTY__DATA_TYPE:
-				if (resolve) return getDataType();
-				return basicGetDataType();
 		}
 		return super.eGet(featureID, resolve, coreType);
@@ -413,7 +361,4 @@
 				setAccess((AccessKind)newValue);
 				return;
-			case SysmlPackage.MODELICA_CONNECTOR_PROPERTY__DATA_TYPE:
-				setDataType((ModelicaClassifier)newValue);
-				return;
 		}
 		super.eSet(featureID, newValue);
@@ -444,7 +389,4 @@
 			case SysmlPackage.MODELICA_CONNECTOR_PROPERTY__ACCESS:
 				setAccess(ACCESS_EDEFAULT);
-				return;
-			case SysmlPackage.MODELICA_CONNECTOR_PROPERTY__DATA_TYPE:
-				setDataType((ModelicaClassifier)null);
 				return;
 		}
@@ -471,6 +413,4 @@
 			case SysmlPackage.MODELICA_CONNECTOR_PROPERTY__ACCESS:
 				return access != ACCESS_EDEFAULT;
-			case SysmlPackage.MODELICA_CONNECTOR_PROPERTY__DATA_TYPE:
-				return dataType != null;
 		}
 		return super.eIsSet(featureID);
@@ -496,5 +436,4 @@
 				case SysmlPackage.MODELICA_CONNECTOR_PROPERTY__ARRAY_DIMENSION: return SysmlPackage.MODELICA_PROPERTY__ARRAY_DIMENSION;
 				case SysmlPackage.MODELICA_CONNECTOR_PROPERTY__ACCESS: return SysmlPackage.MODELICA_PROPERTY__ACCESS;
-				case SysmlPackage.MODELICA_CONNECTOR_PROPERTY__DATA_TYPE: return SysmlPackage.MODELICA_PROPERTY__DATA_TYPE;
 				default: return -1;
 			}
@@ -522,5 +461,4 @@
 				case SysmlPackage.MODELICA_PROPERTY__ARRAY_DIMENSION: return SysmlPackage.MODELICA_CONNECTOR_PROPERTY__ARRAY_DIMENSION;
 				case SysmlPackage.MODELICA_PROPERTY__ACCESS: return SysmlPackage.MODELICA_CONNECTOR_PROPERTY__ACCESS;
-				case SysmlPackage.MODELICA_PROPERTY__DATA_TYPE: return SysmlPackage.MODELICA_CONNECTOR_PROPERTY__DATA_TYPE;
 				default: return -1;
 			}
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/impl/ModelicaIntegerImpl.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/impl/ModelicaIntegerImpl.java	(revision 492)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/impl/ModelicaIntegerImpl.java	(revision 511)
@@ -33,5 +33,5 @@
  * @generated
  */
-public class ModelicaIntegerImpl extends ModelicaTypeImpl implements ModelicaInteger {
+public class ModelicaIntegerImpl extends ModelicaPrimitiveTypeImpl implements ModelicaInteger {
 	/**
 	 * The default value of the '{@link #getValue() <em>Value</em>}' attribute.
Index: trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/impl/ModelicaPrimitiveTypeImpl.java
===================================================================
--- trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/impl/ModelicaPrimitiveTypeImpl.java	(revision 511)
+++ trunk/org.modelica.uml.sysml/src/org/modelica/uml/sysml/impl/ModelicaPrimitiveTypeImpl.java	(revision 511)
@@ -0,0 +1,62 @@
+/**
+ * <copyright>
+ * </copyright>
+ *
+ * $Id$
+ */
+package org.modelica.uml.sysml.impl;
+
+import java.util.Collection;
+
+import org.eclipse.emf.common.notify.NotificationChain;
+
+import org.eclipse.emf.common.util.EList;
+
+import org.eclipse.emf.ecore.EClass;
+
+import org.eclipse.emf.ecore.InternalEObject;
+
+import org.eclipse.emf.ecore.util.EObjectContainmentWithInverseEList;
+import org.eclipse.emf.ecore.util.InternalEList;
+
+import org.eclipse.uml2.uml.DataType;
+import org.eclipse.uml2.uml.Operation;
+import org.eclipse.uml2.uml.PrimitiveType;
+import org.eclipse.uml2.uml.Property;
+import org.eclipse.uml2.uml.Type;
+import org.eclipse.uml2.uml.UMLPackage;
+
+import org.eclipse.uml2.uml.internal.impl.PrimitiveTypeImpl;
+
+import org.modelica.uml.sysml.ModelicaPrimitiveType;
+import org.modelica.uml.sysml.SysmlPackage;
+
+/**
+ * <!-- begin-user-doc -->
+ * An implementation of the model object '<em><b>Modelica Primitive Type</b></em>'.
+ * <!-- end-user-doc -->
+ * <p>
+ * </p>
+ *
+ * @generated
+ */
+public class ModelicaPrimitiveTypeImpl extends PrimitiveTypeImpl implements ModelicaPrimitiveType {
+	/**
+	 * <!-- begin-user-doc -->
+	 * <!-- end-user-doc -->
+	 * @generated
+	 */
+	protected ModelicaPrimitiveTypeImpl() {
+		super();
+	}
+
+	/**
+	 * <!-- begin-user-doc -->
+	 * <!-- end-user-doc -->
+	 * @generated
+	 */
+	protected EClass eStaticClass() {
+		return SysmlPackage.Literals.MODELICA_PRIMITIVE_TYPE;
+	}
+
+} //ModelicaPrimitiveTypeImpl
